## gitg 44

=== meson_options.txt ===
option('glade_catalog', type: 'boolean', value: true, description: 'Install a glade catalog file')
option('python', type: 'boolean', value: true, description: 'Build with python support')
option('deprecations', type: 'boolean', value: false, description: 'warn about deprecated usages')
option('docs', type: 'boolean', value: false, description: 'enable generating documentation')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default')

=== debian/changelog ===
gitg (44-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 11:17:47 +0100

gitg (44-2) unstable; urgency=medium

  * Cherry-pick patch to remove libdazzle dependency
  * Update Build-Depends
  * Opt into dpkg build API v1
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 16:05:10 -0500

gitg (44-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump minimum libgit2-glib
  * debian/control: Build-Depend on gpgme and libhandy
  * Add debian/upstream/metadata
  * Stop using debian/control.in and dh-sequence-gnome
  * Update standards version to 4.6.2, no changes needed
  * Drop patch: applied in new release
  * Revert commit to fix declared version number

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Dec 2023 13:06:13 -0500

=== debian/control ===
Source: gitg
Section: vcs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dpkg-build-api (= 1),
               gobject-introspection (>= 1.80),
               gsettings-desktop-schemas-dev,
               libgee-0.8-dev,
               libgit2-dev,
               libgit2-glib-1.0-dev (>= 1.2.0),
               libglib2.0-dev (>= 2.68),
               libgpgme-dev,
               libgspell-1-dev (>= 1.8.1),
               libgtk-3-dev (>= 3.20),
               libgtksourceview-4-dev (>= 4.0.3),
               libhandy-1-dev (>= 1.5.0),
               libjson-glib-dev,
               libpeas-dev,
               libsecret-1-dev,
               libxml2-utils,
               meson,
               pkgconf,
               valac
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gitg
Vcs-Git: https://salsa.debian.org/gnome-team/gitg.git
Homepage: https://wiki.gnome.org/Apps/Gitg

Package: gitg
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         gir1.2-peas-1.0,
         git,
         gsettings-desktop-schemas,
         ${misc:Depends},
         ${shlibs:Depends}
Description: git repository viewer
 gitg is a fast git repository browser.
 It currently features:
 .
  * Loading large repositories very fast
  * Show/browse repository history
  * Show highlighted revision diff
  * Browse file tree of a revision and export by drag and drop
  * Search in the revision history on subject, author or hash
  * Switch between history view of branches easily
  * Commit view providing per hunk stage/unstage and commit

#Package: gir1.2-gitg
#Section: introspection
#Architecture: any
#Depends: ${gir:Depends}, ${misc:Depends}, gitg (= ${binary:Version})
#Description: GObject introspection data for Gitg
# This package contains Gitg introspection data.
# With it one can use Gitg API from scripting languages like Python or
# others.
# .
# It can be used by packages using the GIRepository format to generate
# dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/gitg

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

override_dh_shlibdeps:
	dh_shlibdeps -Llibgitg-1.0 -Llibgitg-ext-1.0 -l/usr/lib/gitg
